#ifndef _SERIAL_H
#define _SERIAL_H

#include <stddef.h>

void serial_init(void);

void serial_putchar(char c);

void serial_write(const unsigned char *buffer, unsigned int size);

void serial_puts(const char *s);

char serial_getchar(void);

int serial_read(char *buf, size_t n);

#endif
