#ifndef _SERVO_H
#define _SERVO_H

enum servo_position {
	SERVO_NONE,
	SERVO_QUARTER,
	SERVO_HALF,
	SERVO_FULL
};

void servo_init(void);

void servo_enable(void);

void servo_disable(void);

unsigned char servo_is_enabled(void);

void servo_set_position(enum servo_position pos);

#endif
