#ifndef _MMC_H
#define _MMC_H

#define MMC_SECTOR_SIZE 512

unsigned char mmc_init(unsigned char mmc);

unsigned char mmc_get_cid(unsigned char mmc, unsigned char cid[16]);

unsigned short mmc_get_status(unsigned char mmc);

unsigned char mmc_read_sector(unsigned char mmc,
	unsigned char buffer[MMC_SECTOR_SIZE], unsigned long address);

unsigned char mmc_write_sector(unsigned char mmc,
	const unsigned char buffer[MMC_SECTOR_SIZE], unsigned long address);

#endif
